# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('bda', '0008_py3'),
    ]

    operations = [
        migrations.CreateModel(
            name='SpectacleRevente',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Date de mise en vente')),
                ('notif_sent', models.BooleanField(default=False, verbose_name='Notification envoy\xe9e')),
                ('tirage_done', models.BooleanField(default=False, verbose_name='Tirage effectu\xe9')),
                ('attribution', models.OneToOneField(related_name='revente', to='bda.Attribution')),
            ],
            options={
                'verbose_name': 'Revente',
            },
        ),
        migrations.AddField(
            model_name='participant',
            name='choicesrevente',
            field=models.ManyToManyField(related_name='revente', to='bda.Spectacle', blank=True),
        ),
        migrations.AddField(
            model_name='spectaclerevente',
            name='interested',
            field=models.ManyToManyField(related_name='wanted', to='bda.Participant', blank=True),
        ),
        migrations.AddField(
            model_name='spectaclerevente',
            name='seller',
            field=models.ForeignKey(related_name='original_shows', verbose_name='Vendeur', to='bda.Participant'),
        ),
        migrations.AddField(
            model_name='spectaclerevente',
            name='soldTo',
            field=models.ForeignKey(verbose_name='Vendue \xe0', blank=True, to='bda.Participant', null=True),
        ),
    ]
